module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_50902_0.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[4]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_505/Prefabs/505_attack2_start.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0.3,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[5]={
			args={sound_path=[[Magic/sound_magic_50902_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.05,
		},
		[6]={
			args={
				excutor=[[atkobj]],
				face_to=[[fixed_pos]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=1,
			},
			func_name=[[FaceTo]],
			start_time=0.3,
		},
		[7]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_505/Prefabs/505_attack2.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0.3,
			},
			func_name=[[BodyEffect]],
			start_time=1.75,
		},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.45,
		},
		[9]={
			args={
				alive_time=0.2,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=2.45,
		},
		[10]={
			args={shake_dis=0.05,shake_rate=20,shake_time=0.2,},
			func_name=[[ShakeScreen]],
			start_time=2.5,
		},
		[11]={args={},func_name=[[End]],start_time=2.5,},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_505/Prefabs/505_attack2_start.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_505/Prefabs/505_attack2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
